import java.io.IOException;
import org.graphstream.graph.Graph;
import org.graphstream.algorithm.Toolkit;
import org.graphstream.graph.implementations.SingleGraph;
import org.graphstream.stream.file.FileSourceEdge;

public class TP2 {

	public static void main(String[] args) {
		Graph graphe = new SingleGraph("Graphe");

		FileSourceEdge fs = new FileSourceEdge();

		fs.addSink(graphe);

		try {
			fs.readAll("data/com-dblp.ungraph.txt");
		} catch (IOException e) {
			System.out.println("Fichier non trouvé");
		} finally {
			fs.removeSink(graphe);
		}
		// Question 2

		System.out.println("Nombre de noeuds : " + Toolkit.degreeMap(graphe).size());
		System.out.println("Nombre d'arrêtes : " + graphe.getEdgeCount());
		System.out.println("Degré moyen : " + Toolkit.averageDegree(graphe));
		System.out.println("Coefficient de clustering moyen : " + Toolkit.averageClusteringCoefficient(graphe));
		System.out.println("Le réseau est connexe : " + Toolkit.isConnected(graphe));
	}
}